// generated from rosidl_generator_c/resource/idl__description.c.em
// with input from rc_common_msgs:msg/ReturnCodeConstants.idl
// generated code does not contain a copyright notice

#include "rc_common_msgs/msg/detail/return_code_constants__functions.h"

ROSIDL_GENERATOR_C_PUBLIC_rc_common_msgs
const rosidl_type_hash_t *
rc_common_msgs__msg__ReturnCodeConstants__get_type_hash(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static rosidl_type_hash_t hash = {1, {
      0x11, 0x87, 0x0c, 0x3c, 0xa2, 0xf6, 0x33, 0x50,
      0x93, 0x12, 0x60, 0xbe, 0xec, 0x75, 0x7f, 0xa0,
      0xd6, 0x5b, 0x39, 0xc2, 0x55, 0xce, 0xa6, 0x6b,
      0xc7, 0x11, 0xb1, 0x6a, 0x73, 0xec, 0x90, 0xb4,
    }};
  return &hash;
}

#include <assert.h>
#include <string.h>

// Include directives for referenced types

// Hashes for external referenced types
#ifndef NDEBUG
#endif

static char rc_common_msgs__msg__ReturnCodeConstants__TYPE_NAME[] = "rc_common_msgs/msg/ReturnCodeConstants";

// Define type names, field names, and default values
static char rc_common_msgs__msg__ReturnCodeConstants__FIELD_NAME__structure_needs_at_least_one_member[] = "structure_needs_at_least_one_member";

static rosidl_runtime_c__type_description__Field rc_common_msgs__msg__ReturnCodeConstants__FIELDS[] = {
  {
    {rc_common_msgs__msg__ReturnCodeConstants__FIELD_NAME__structure_needs_at_least_one_member, 35, 35},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_UINT8,
      0,
      0,
      {NULL, 0, 0},
    },
    {NULL, 0, 0},
  },
};

const rosidl_runtime_c__type_description__TypeDescription *
rc_common_msgs__msg__ReturnCodeConstants__get_type_description(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static bool constructed = false;
  static const rosidl_runtime_c__type_description__TypeDescription description = {
    {
      {rc_common_msgs__msg__ReturnCodeConstants__TYPE_NAME, 38, 38},
      {rc_common_msgs__msg__ReturnCodeConstants__FIELDS, 1, 1},
    },
    {NULL, 0, 0},
  };
  if (!constructed) {
    constructed = true;
  }
  return &description;
}

static char toplevel_type_raw_source[] =
  "# This message file defines commonly used constants\n"
  "# for services' return codes\n"
  "\n"
  "#  Default success without additional information\n"
  "int16 SUCCESS=0\n"
  "\n"
  "# Reserved error codes (reserved range [-99,-1])\n"
  "int16 INVALID_ARGUMENT=-1   # An invalid argument was passed with the service request\n"
  "int16 INTERNAL_ERROR=-2     # Internal error\n"
  "int16 INTERNAL_TIMEOUT=-3   # Timeout in internal computation\n"
  "int16 SENSOR_TIMEOUT=-4     # Timeout while waiting for image data to fulfill a request\n"
  "int16 IO_ERROR=-7           # IO error\n"
  "int16 NOT_APPLICABLE=-8     # Request not applicable (e.g. in current state)\n"
  "int16 INVALID_LICENSE=-9    # No valid license to fulfill this request\n"
  "int16 CAPACITY_EXCEEDED=-10 # capacity exceeded, i.e. new element could not be added\n"
  "\n"
  "# Reserved non-error codes (reserved range [1,99])\n"
  "int16 TIMEOUT_REACHED=3     # timeout in internal computation is reached, but a partial result could still be provided\n"
  "int16 CAPACITY_REACHED=10   # max capacity is reached, i.e. list is now full\n"
  "int16 OVERWRITTEN=11        # existing data/element overwritten\n"
  "int16 HINTS=999             # performance/implementation hints for application developers\n"
  "\n"
  "# each module defines own msg-file with consts for the module specific return codes";

static char msg_encoding[] = "msg";

// Define all individual source functions

const rosidl_runtime_c__type_description__TypeSource *
rc_common_msgs__msg__ReturnCodeConstants__get_individual_type_description_source(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static const rosidl_runtime_c__type_description__TypeSource source = {
    {rc_common_msgs__msg__ReturnCodeConstants__TYPE_NAME, 38, 38},
    {msg_encoding, 3, 3},
    {toplevel_type_raw_source, 1238, 1238},
  };
  return &source;
}

const rosidl_runtime_c__type_description__TypeSource__Sequence *
rc_common_msgs__msg__ReturnCodeConstants__get_type_description_sources(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static rosidl_runtime_c__type_description__TypeSource sources[1];
  static const rosidl_runtime_c__type_description__TypeSource__Sequence source_sequence = {sources, 1, 1};
  static bool constructed = false;
  if (!constructed) {
    sources[0] = *rc_common_msgs__msg__ReturnCodeConstants__get_individual_type_description_source(NULL),
    constructed = true;
  }
  return &source_sequence;
}
